## GnomeDbDsnEditor GnomeDbDsnEditor — A form to modify datasource information |

## Synopsis

                        GnomeDbDsnEditor;
                        GnomeDbDsnEditorClass;
                        GnomeDbDsnEditorPrivate;
    GtkWidget*          gnome_db_dsn_editor_new             (void);
    GdaDataSourceInfo*  gnome_db_dsn_editor_get_dsn         (GnomeDbDsnEditor *config);
    void                gnome_db_dsn_editor_set_dsn         (GnomeDbDsnEditor *config,
                                                             const GdaDataSourceInfo *dsn_info);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbDsnEditor

## Implemented Interfaces

GnomeDbDsnEditor implements AtkImplementorIface and GtkBuildable.

## Signals

      "changed"                                        : Run Last

## Description

The GnomeDbDsnEditor widget contains a form to edit all the attributes of a DSN (except for its name), including provider selection, username and password, and provider specific information to open a connection.

## Details

### GnomeDbDsnEditor

    typedef struct _GnomeDbDsnEditor GnomeDbDsnEditor;

### GnomeDbDsnEditorClass

    typedef struct {
    	GtkVBoxClass parent_class;

    	/* signals */
    	void (* changed) (GnomeDbDsnEditor *config);
    } GnomeDbDsnEditorClass;

### GnomeDbDsnEditorPrivate

    typedef struct _GnomeDbDsnEditorPrivate GnomeDbDsnEditorPrivate;

### gnome_db_dsn_editor_new ()

    GtkWidget*          gnome_db_dsn_editor_new             (void);

Returns : |

### gnome_db_dsn_editor_get_dsn ()

    GdaDataSourceInfo*  gnome_db_dsn_editor_get_dsn         (GnomeDbDsnEditor *config);

`config` : |
Returns : |

### gnome_db_dsn_editor_set_dsn ()

    void                gnome_db_dsn_editor_set_dsn         (GnomeDbDsnEditor *config,
                                                             const GdaDataSourceInfo *dsn_info);

`config` : |
`dsn_info` : |

## Signal Details

### The `"changed"` signal

    void                user_function                      (GnomeDbDsnEditor *dbdsneditor,
                                                            gpointer          user_data)        : Run Last

`dbdsnconfig` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

## See Also

The GnomeDbDsnAssistant to create a new DSN using an assistant.